package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag36Creator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag36Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag36Value = MT101AbsCreator.getExchangeRate();
        MT101AbsCreator.set("36", tag36Value);
    }
}